Add and remove detection alert tags

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/tags
  • POST /s/{space_id}/api/detection_engine/signals/tags
Auth

Add tags to detection alerts, and remove them from alerts, by alert IDs or a query, in a single request.

Note

You cannot add and remove the same alert tag in the same request.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

An object containing tags to add or remove and alert ids the changes will be applied

ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

tags object required

Object with list of tags to add and remove.

tags_to_add string[] · format: nonempty required

List of keywords to organize related alerts into categories that you can filter and group.

tags_to_remove string[] · format: nonempty required

List of keywords to organize related alerts into categories that you can filter and group.

Responses

Successful response

application/json

Response Type: object

Base URL
https://{kibana_url}